summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJiajun Wang <amesists@gmail.com>2015-12-10 16:36:54 +0800
committerYixun Lan <dlan@gentoo.org>2015-12-22 10:31:38 +0800
commitc6fb7699866f07be0ac1c089b975944aa99e2519 (patch)
tree6e2acfde17ab855ebb752191fc578591ec911cdd /app-i18n
parentapp-i18n/fcitx-qt5: version bump to 1.0.4 (diff)
downloadgentoo-c6fb7699866f07be0ac1c089b975944aa99e2519.tar.gz
gentoo-c6fb7699866f07be0ac1c089b975944aa99e2519.tar.bz2
gentoo-c6fb7699866f07be0ac1c089b975944aa99e2519.zip
app-i18n/fcitx: version bump to 4.2.9
Signed-off-by: Yixun Lan <dlan@gentoo.org>
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/fcitx/Manifest1
-rw-r--r--app-i18n/fcitx/fcitx-4.2.9.ebuild129
2 files changed, 130 insertions, 0 deletions
diff --git a/app-i18n/fcitx/Manifest b/app-i18n/fcitx/Manifest
index 47e7d57ae72..e40ae26e3ae 100644
--- a/app-i18n/fcitx/Manifest
+++ b/app-i18n/fcitx/Manifest
@@ -1,3 +1,4 @@
DIST fcitx-4.2.7_dict.tar.xz 8546416 SHA256 0c902617581f04eb0d337634b0bf2b39956abbcc949512cc79d4ee24cfc9dbb5 SHA512 e5d8eb55f644250197e69315ad02b9f6bc84e697b23c20c01a731f98ce8b1a16d764a58b1e1047d45b8decb6be33144707c2a52fc427e6338d8b8186cd4da074 WHIRLPOOL e344bc92a84940d3c885d1ae87a2fc83c95d6cb0f0e95eed76078e996c4a00df82a0c09c4540771f628928db1716f90d50d04469f2c0f2d5c17b5048fbf2d482
DIST fcitx-4.2.8.5_dict.tar.xz 8696468 SHA256 fe3d6f57805fc61130f8254f19a86fe3baa0f405406414ca2e94bcf86d3d1b72 SHA512 ee6612a34087135065537fa14f09078bad9f029f69b636fb2221193f23d86c5431a9d8a848b264bdcb259680f6bda41d08d58dcf67d19e5a200cb11fa4a26ffe WHIRLPOOL 0a394d5aaa53819bbab66b32e7ae5896187bc45fad146c7eef4ab75640e5c6670cf811bec87e482bb3516b30e1ce28f2cefa91c10838092f9329b1101b5c70db
DIST fcitx-4.2.8.6_dict.tar.xz 8694328 SHA256 91034e9ef976bbe2649a96b67adf0c133d64e2c0d53be440cc40a4370569d597 SHA512 822e448932e735fe3087384eaf91c6b029b06d3461aa3798501bfbf8f79b8ebc5ea3ac57f01ec32674cc3cb74fcb34b6e285ef265bb49be54543f34dcaf624e4 WHIRLPOOL df24b3b6bbe18a8498732b27817caef6c28278bddd6acfbe49edd9a63d8f33b09ba93ff0bd144e1c1d3b9b9c8079a35a8a047ebf9b361b4f173ec9b23138042e
+DIST fcitx-4.2.9_dict.tar.xz 8675292 SHA256 3a935b7098fe573b126f8e393d93bccc6d4e4e9988830430fa9b1c87876bfc6c SHA512 4bad2efc283858bf9af7f7f283f7beefb210aa361ff034464ff97ea0e536f084c99d876f3595a5375114b68cd51714bd0b5c622a53efc57154a4e629fd416093 WHIRLPOOL 520a6f41a68fd5dbd4b00eb5de5ed2aea0801adc9dd64449e36c442311c9c85bdd28f1d5f79917e99b7fff2f8372bed9bb780fdda7d6d16cf528e5c1a6a0914f
diff --git a/app-i18n/fcitx/fcitx-4.2.9.ebuild b/app-i18n/fcitx/fcitx-4.2.9.ebuild
new file mode 100644
index 00000000000..49b3256f5c3
--- /dev/null
+++ b/app-i18n/fcitx/fcitx-4.2.9.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils eutils gnome2-utils fdo-mime multilib readme.gentoo
+
+DESCRIPTION="Flexible Contect-aware Input Tool with eXtension support"
+HOMEPAGE="http://fcitx-im.org/"
+SRC_URI="http://download.fcitx-im.org/fcitx/${P}_dict.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+X +autostart +cairo +dbus debug +enchant gtk gtk3 icu introspection lua
+nls opencc +pango qt4 static-libs +table test +xml"
+
+REQUIRED_USE="cairo? ( X ) gtk? ( X ) gtk3? ( X ) qt4? ( X )"
+
+RDEPEND="
+ X? (
+ x11-libs/libX11
+ x11-libs/libXinerama
+ )
+ cairo? (
+ x11-libs/cairo[X]
+ pango? ( x11-libs/pango[X] )
+ !pango? ( media-libs/fontconfig )
+ )
+ dbus? ( sys-apps/dbus )
+ enchant? ( app-text/enchant )
+ gtk? (
+ x11-libs/gtk+:2
+ dev-libs/glib:2
+ dev-libs/dbus-glib
+ )
+ gtk3? (
+ x11-libs/gtk+:3
+ dev-libs/glib:2
+ dev-libs/dbus-glib
+ )
+ icu? ( dev-libs/icu:= )
+ introspection? ( dev-libs/gobject-introspection )
+ lua? ( dev-lang/lua:= )
+ nls? ( sys-devel/gettext )
+ opencc? ( app-i18n/opencc )
+ qt4? (
+ dev-qt/qtdbus:4
+ dev-qt/qtgui:4[glib]
+ )
+ xml? (
+ app-text/iso-codes
+ dev-libs/libxml2
+ x11-libs/libxkbfile
+ )"
+DEPEND="${RDEPEND}
+ virtual/libintl
+ virtual/pkgconfig
+ kde-frameworks/extra-cmake-modules
+ x11-libs/libxkbcommon"
+
+DOCS=( AUTHORS ChangeLog README THANKS TODO
+ doc/pinyin.txt doc/cjkvinput.txt doc/API.txt doc/Develop_Readme )
+HTML_DOCS=( doc/wb_fh.htm )
+
+src_prepare() {
+ use autostart && DOC_CONTENTS="You have enabled the autostart USE flag,
+ which will let fcitx start automatically on XDG compatible desktop
+ environments, such as Gnome, KDE, LXDE, LXQt and Xfce. If you use
+ ~/.xinitrc to configure your desktop, make sure to include the fcitx
+ command to start it."
+ epatch_user
+}
+
+src_configure() {
+ local mycmakeargs="
+ -DLIB_INSTALL_DIR=/usr/$(get_libdir)
+ -DSYSCONFDIR=/etc/
+ $(cmake-utils_use_enable X X11)
+ $(cmake-utils_use_enable autostart XDGAUTOSTART)
+ $(cmake-utils_use_enable cairo CAIRO)
+ $(cmake-utils_use_enable dbus DBUS)
+ $(cmake-utils_use_enable debug DEBUG)
+ $(cmake-utils_use_enable enchant ENCHANT)
+ $(cmake-utils_use_enable gtk GTK2_IM_MODULE)
+ $(cmake-utils_use_enable gtk SNOOPER)
+ $(cmake-utils_use_enable gtk3 GTK3_IM_MODULE)
+ $(cmake-utils_use_enable gtk3 SNOOPER)
+ $(cmake-utils_use_enable icu ICU)
+ $(cmake-utils_use_enable introspection GIR)
+ $(cmake-utils_use_enable lua LUA)
+ $(cmake-utils_use_enable nls GETTEXT)
+ $(cmake-utils_use_enable opencc OPENCC)
+ $(cmake-utils_use_enable pango PANGO)
+ $(cmake-utils_use_enable qt4 QT)
+ $(cmake-utils_use_enable qt4 QT_IM_MODULE)
+ $(cmake-utils_use_enable qt4 QT_GUI)
+ $(cmake-utils_use_enable static-libs STATIC)
+ $(cmake-utils_use_enable table TABLE)
+ $(cmake-utils_use_enable test TEST)
+ $(cmake-utils_use_enable xml LIBXML2)"
+ if use gtk || use gtk3 || use qt4 ; then
+ mycmakeargs+=" -DENABLE_GLIB2=ON "
+ fi
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ rm -rf "${ED}"/usr/share/doc/${PN} || die
+ use autostart && readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ use gtk && gnome2_query_immodules_gtk2
+ use gtk3 && gnome2_query_immodules_gtk3
+ use autostart && readme.gentoo_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ use gtk && gnome2_query_immodules_gtk2
+ use gtk3 && gnome2_query_immodules_gtk3
+}